## org.apache.commons.math3.analysis.function
Class Atan

    java.lang.Object
      org.apache.commons.math3.analysis.function.Atan

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateDifferentiableFunction, UnivariateFunction

    public class Atan

extends java.lang.Object
implements UnivariateDifferentiableFunction, DifferentiableUnivariateFunction

Arc-tangent function.

Since:
  3.0
Version:
  $Id: Atan.java 1383441 2012-09-11 14:56:39Z luc $

Constructor Summary
`Atan()`

Method Summary
`UnivariateFunction` `derivative()` Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`
`DerivativeStructure` `value(DerivativeStructure t)` Simple mathematical function.
`double` `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Atan

    public Atan()

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    @Deprecated
    public UnivariateFunction derivative()

  Deprecated. as of 3.1, replaced by `value(DerivativeStructure)`

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

### value

    public DerivativeStructure value(DerivativeStructure t)

  Simple mathematical function.

  `UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

  Specified by:
    `value` in interface `UnivariateDifferentiableFunction`
  Parameters:
    `t` - function input value
  Returns:
    function result
  Since:
    3.1

Copyright (c) 2003-2013 Apache Software Foundation